curl --request GET \
--url https://pro-api.coingecko.com/api/v3/simple/price \
--header 'x-cg-pro-api-key: <api-key>'{
"bitcoin": {
"usd": 76975,
"usd_market_cap": 1542226908349.8406,
"usd_24h_vol": 29096603418.89408,
"usd_24h_change": -1.4093297098441402,
"last_updated_at": 1779092258
}
}Coin Price by IDs, Symbols, or Names
To query the prices of one or more coins by using their unique Coin API IDs, symbols, or names
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/simple/price \
--header 'x-cg-pro-api-key: <api-key>'{
"bitcoin": {
"usd": 76975,
"usd_market_cap": 1542226908349.8406,
"usd_24h_vol": 29096603418.89408,
"usd_24h_change": -1.4093297098441402,
"last_updated_at": 1779092258
}
}Notes
- You can look up coins by
ids,names, orsymbols. When multiple are provided, priority is:ids>names>symbols. - Find a coin’s API ID on its CoinGecko page, via Coins List, or this Google Sheet.
- Use
include_last_updated_at=trueorinclude_24hr_change=true(returnsnullif stale) to verify price freshness. include_tokens=allonly works withsymbolslookups, limited to 50 symbols per request.- Maximum of 515 IDs per request. Wildcard searches are not supported.
- URL-encode spaces in
names(e.g.Binance%20Coin).
SDK Examples
const response = await client.simple.price.get({
vs_currencies: 'usd',
ids: 'bitcoin',
});
console.log(JSON.stringify(response, null, 2));
Authorizations
Learn how to set up your API key
Query Parameters
Target currency of coins, comma-separated if querying more than 1 currency.
*refers to /simple/supported_vs_currencies
Coins' IDs, comma-separated if querying more than 1 coin.
*refers to /coins/list
Coins' names, comma-separated if querying more than 1 coin.
Coins' symbols, comma-separated if querying more than 1 coin.
For symbols lookups, specify all to include all matching tokens.
Default top returns top-ranked tokens by market cap or volume.
top, all Include market capitalization. Default: false
Include 24-hour trading volume. Default: false
Include 24-hour change percentage. Default: false
Include last updated price time as a UNIX timestamp. Default: false
Decimal places for currency price value
full, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18 Response
Coin prices
Show child attributes
Show child attributes
Was this page helpful?

